print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricebeer = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local honeyHudFile = "Paletten/hud_fill_honey.dds"
	local honeyHudFileSmall = "Paletten/hud_fill_honey_smal.dds"
	
    local honeyFilType = g_fillTypeManager:addFillType("HONEY", g_i18n:getText("honey"), true, pricebeer * 2.0, 0.00045, math.rad(10), honeyHudFile, honeyHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hashoney=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hashoney=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "HONEY" then
		hashoney=true
	end;
		
end;

		if hasmaize and not hashoney then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("HONEY")
		local price = g_fillTypeManager:getFillTypeByName("HONEY").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("HONEY")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)